org.apache.ignite.internal.processors.cache

## Class IgniteCacheOffheapManagerImpl.CacheDataRowStore

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.database.RowStore
  - - org.apache.ignite.internal.processors.cache.IgniteCacheOffheapManagerImpl.CacheDataRowStore

Enclosing class:
  IgniteCacheOffheapManagerImpl

    protected class IgniteCacheOffheapManagerImpl.CacheDataRowStore
    extends RowStore

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.database.RowStore

`cctx, coctx, pageMem`

### Constructor Summary

Constructors
Constructor and Description
`IgniteCacheOffheapManagerImpl.CacheDataRowStore(GridCacheContext<?,?> cctx, FreeList freeList, int partId)`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.processors.cache.database.RowStore

`addRow, freeList, removeRow, updateRow`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgniteCacheOffheapManagerImpl.CacheDataRowStore

    public IgniteCacheOffheapManagerImpl.CacheDataRowStore(GridCacheContext<?,?> cctx,
                                                   FreeList freeList,
                                                   int partId)

Parameters:
  `cctx` - Cache context.
  `freeList` - Free list.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017